curl --request GET \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"about": "Phonovation Business Account",
"address": "35-38 New Bridge Street, London EC4V 6BW",
"description": "Phonovation is a global cloud communications platform.",
"email": "info@example.com",
"vertical": "PROFESSIONAL_SERVICES",
"websites": [
"https://www.phonovation.com"
],
"displayName": "Phonovation"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Get business info of WhatsApp sender
Get WhatsApp sender business information, such as about, address, description, email, vertical, websites, and display name.
Required scope: Enable one of: whatsapp:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/business-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"about": "Phonovation Business Account",
"address": "35-38 New Bridge Street, London EC4V 6BW",
"description": "Phonovation is a global cloud communications platform.",
"email": "info@example.com",
"vertical": "PROFESSIONAL_SERVICES",
"websites": [
"https://www.phonovation.com"
],
"displayName": "Phonovation"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Registered WhatsApp sender number. Must be in international format.
1 - 15[0-9]+Response
WhatsApp sender business info.
Manages the content of the sender's About section.
"Phonovation Business Account"
Street address of the business.
"35-38 New Bridge Street, London EC4V 6BW"
Description of the business.
"Phonovation is a global cloud communications platform."
Email of the business.
"info@example.com"
Business vertical.
AUTOMOTIVE, BEAUTY_AND_SPA_AND_SALON, CLOTHING_AND_APPAREL, EDUCATION, ENTERTAINMENT, EVENT_PLANNING_AND_SERVICE, FINANCE_AND_BANKING, FOOD_AND_GROCERY, PUBLIC_SERVICE, HOTEL_AND_LODGING, MEDICAL_AND_HEALTH, NON_PROFIT, PROFESSIONAL_SERVICES, SHOPPING_AND_RETAIL, TRAVEL_AND_TRANSPORTATION, RESTAURANT, OTHER, UNKNOWN "PROFESSIONAL_SERVICES"
Websites of the business.
Websites of the business.
"https://www.phonovation.com"
Display name of the phone number.
"Phonovation"